Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.retrieve
Class RetrieveEngine

    java.lang.Object
      org.apache.ivy.core.retrieve.RetrieveEngine

    public class RetrieveEngine

extends java.lang.Object

Constructor Summary
`RetrieveEngine(RetrieveEngineSettings settings, EventManager eventManager)`

Method Summary
`java.util.Map` | `determineArtifactsToCopy(ModuleRevisionId mrid, java.lang.String destFilePattern, RetrieveOptions options)`
`int` | `retrieve(ModuleRevisionId mrid, java.lang.String destFilePattern, RetrieveOptions options)` example of destFilePattern : - lib/[organisation]/[module]/[artifact]-[revision].

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetrieveEngine

    public RetrieveEngine(RetrieveEngineSettings settings,
                          EventManager eventManager)

Method Detail

### retrieve

    public int retrieve(ModuleRevisionId mrid,
                        java.lang.String destFilePattern,
                        RetrieveOptions options)
                 throws java.io.IOException

  example of destFilePattern : - lib/[organisation]/[module]/[artifact]-[revision].[type] - lib/[artifact].[type] : flatten with no revision moduleId is used with confs and localCacheDirectory to determine an ivy report file, used as input for the copy If such a file does not exist for any conf (resolve has not been called before ?) then an IllegalStateException is thrown and nothing is copied.

  Throws:
    `java.io.IOException`

### determineArtifactsToCopy

    public java.util.Map determineArtifactsToCopy(ModuleRevisionId mrid,
                                                  java.lang.String destFilePattern,
                                                  RetrieveOptions options)
                                           throws java.text.ParseException,
                                                  java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD